DCMTK - Bug #1094

Add support for compiling with latest libxmlI2 releases (>= 2.12.x)

2023-12-08 09:51 - Jorg Riesmeier

Status: Closed

Priority: Normal
Assignee:

Category: Library and Apps
Target version: 3.6.9

Module: dcmdata, decmsr

Operating System:

Start date: 2023-12-08
Due date:

% Done: 100%
Estimated time: 2:00 hours
Compiler:

Description

GitHub user "kloczek" reported that DCMTK does not compile with the latest libxmI2 releases, e.g. version 2.12.x:

https://github.com/DCMTK/dcmtk/commit/1549d8ccccadad9ddd8a2bf75ff31eb554ee9dde#icomments

This seems to be a know issue of libxmlI2 version 2.12.x (see numerous reports on the Internet).

History

#1 - 2023-12-08 09:53 - Jorg Riesmeier

- Category changed from Library to Library and Apps

- Module set to decmdata, demsr

#2 - 2023-12-27 17:35 - Marco Eichelberg

An explicit #include <libxml/xmlsave.h> in xml2dcm.cc would be a good start.

#3 - 2024-01-16 19:04 - J6rg Riesmeier

- Target version changed from 3.7.1+ to 3.6.9

#4 - 2024-05-12 16:19 - Marco Eichelberg

libxml2 2.12.5 on OpenBSD does not report any compiler error, but issues warnings about the following APIs being deprecated:

e xmlSubstituteEntitiesDefault
e xmlLineNumbersDefault

¢ xmlKeepBlanksDefault

¢ xmlGetWarningsDefaultValue

#5 - 2024-05-28 10:35 - Jorg Riesmeier

- Status changed from New to Closed

Fixed with commit bdb40e6ef.

#6 - 2024-05-28 10:36 - JOorg Riesmeier
- % Done changed from 0 to 100
- Estimated time set to 2:00 h
